
/**
 *  A simple Hello aspect.
 *
 *@author     <a href="mailto:Sara.Bouchenak@inria.fr">Sara Bouchenak</a>
 *@version    1.0 - 13/01/2004
 */
public aspect Hello
{
	
	private pointcut printCall() : call (void printer.Communicator.print(..));
	
	declare warning : printCall() : "'printCall' pointcut";
	
	before() : printCall()
	{
		System.out.print("Hello! ");
	}
	
}